.s-header {
    height: 60px;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 10;

    .container {
        height: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    @media(min-width: $lg) {
        height: 80px;
    }
}

.s-header__logo {
    img {
        display: block;
        width: 110px;
        height: auto;
    }

    @media(min-width: $lg) {
        margin-right: 10px;
        position: relative;
        top: -2px;
    }

    @media(min-width: $xl) {
        margin-right: 40px;

        img {
            width: 156px;
        }
    }
}

.s-header__nav {
    display: flex;
    align-items: center;

    a {
        text-decoration: none;
        display: block;
        padding: 4px 0;
        margin-left: 24px;
        font-weight: bold;

        &:hover {
            color: $green1;
        }
    }
/*
    @media(min-width: $sm) {
        a {
            padding: 4px 8px;
            margin: 0 8px;
            font-size: 16px;
        }
    }

    @media(min-width: $xs) {
        a {
            padding: 4px 8px;
            margin: 0 8px;
            font-size: 14px;
        }
    }*/
}

.s-header__logo.scroll-link.d-md-none > img {
    width: 30px;
}

.header__menu-toggle {
    position: relative;
    height: 36px;
    width: 36px;
    cursor: pointer;

    span {
        display: block;
        width: 36px;
        height: 4px;
        position: absolute;
        left: 0;
        background: $grad;
        border-radius: 6px;
        transition: transform 0.2s ease, opacity 0.2s ease;

        &:nth-child(1) {
            top: 6px;
        }
        &:nth-child(2) {
            top: 16px;
        }
        &:nth-child(3) {
            top: 26px;
        }
    }

    &.open {
        span {
            &:nth-child(1) {
                top: 16px;
                transform: rotate(-45deg);
            }
            &:nth-child(2) {
                opacity: 0;
            }
            &:nth-child(3) {
                top: 16px;
                transform: rotate(45deg);
            }   
        }

        & + .header__nav {
            display: block;
        }
    }
}





.s-header__socials {
    display: none;
    flex-grow: 1;
    justify-content: flex-end;
    align-items: center;

    .socials {
        justify-content: center;

        img {
            width: 30px;
            height: 30px;
        }
    }

    @media(min-width: $xs) {
        display: flex;
        position: static;

        .socials {
            img {
                width: 24px;
                height: 24px;
            }
        }

        .btn {
            margin-right: 60px;
        }
    }

    @media(min-width: $xl) {
        .socials {
            img {
                width: 30px;
                height: 30px;
            }
        }
    }
}

@media(max-width: $md) {
    .s-header__socials .socials {
        display: none;
    }
    .s-header__socials .mint-btn {
        width: 90px;
        margin-right: 0;
    }
}




.external-link {
    text-wrap: nowrap;
}



.external-link {
    text-decoration: none;
    color: #fff;

    svg {
        display: inline-block;
        width: 14px;
        height: 14px;
        vertical-align: middle;
        margin-top: -2px;
        fill: #fff;
        opacity: 0.4;
    }

    &:hover {
        svg {
            fill: $green1;
            opacity: 1;
        }
    }
}